tvbrowser.core.search

## Class AbstractSearcher

- java.lang.Object
- - tvbrowser.core.search.AbstractSearcher

- All Implemented Interfaces:
    ProgramSearcher
  Direct Known Subclasses:
    BooleanSearcher, RegexSearcher

      public abstract class AbstractSearcher
      extends java.lang.Object
      implements ProgramSearcher

  An abstract searcher implementation that reduces the checks on String checks.
  Author:
    Til Schneider, www.murfman.de

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mReplaceSpCh` Indicates if the special characters should be replaced.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSearcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(Program prog, ProgramFieldType[] fieldArr)` Checks whether a field of a program matches to the criteria of this searcher.
    `protected abstract boolean` | `matches(java.lang.String value)` Checks whether a value matches to the criteria of this searcher.
    `Program[]` | `search(ProgramFieldType[] fieldArr, Date startDate, int nrDays, Channel[] channels, boolean sortByStartTime)` Searches the TV data base for programs that match the criteria of this searcher.
    `Program[]` | `search(ProgramFieldType[] fieldArr, Date startDate, int nrDays, Channel[] channels, boolean sortByStartTime, ProgressMonitor progress)` Searches the TV data base for programs that match the criteria of this searcher.
    `Program[]` | `search(ProgramFieldType[] fieldArr, Date startDate, int nrDays, Channel[] channels, boolean sortByStartTime, ProgressMonitor progress, javax.swing.DefaultListModel listModel)` Searches the TV data base for programs that match the criteria of this searcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mReplaceSpCh

          protected boolean mReplaceSpCh

      Indicates if the special characters should be replaced.

  - ### Constructor Detail

    - #### AbstractSearcher

          public AbstractSearcher()

  - ### Method Detail

    - #### matches

          public boolean matches(Program prog,
                        ProgramFieldType[] fieldArr)

      Checks whether a field of a program matches to the criteria of this searcher.
      Specified by:
        `matches` in interface `ProgramSearcher`
      Parameters:
        `prog` - The program to check.
        `fieldArr` - The fields to search in.
      Returns:
        Whether at least one field of the program matches.

    - #### search

          public Program[] search(ProgramFieldType[] fieldArr,
                         Date startDate,
                         int nrDays,
                         Channel[] channels,
                         boolean sortByStartTime,
                         ProgressMonitor progress)

      Description copied from interface: `ProgramSearcher`
      Searches the TV data base for programs that match the criteria of this searcher.
      Specified by:
        `search` in interface `ProgramSearcher`
      Parameters:
        `fieldArr` - The fields to search in
        `startDate` - The date to start the search.
        `nrDays` - The number of days to include after the start date. If this value is negative, then all days are searched (beginning with yesterday) and the startDate parameter is ignored.
        `channels` - The channels to search in. If this is `null`, then all subscribed channels are searched.
        `sortByStartTime` - Should the results be sorted by the start time? If not, the results will be grouped by date and channel and the search will be faster.
        `progress` - progressMonitor for showing the search progress
      Returns:
        The matching programs.

    - #### search

          public Program[] search(ProgramFieldType[] fieldArr,
                         Date startDate,
                         int nrDays,
                         Channel[] channels,
                         boolean sortByStartTime,
                         ProgressMonitor progress,
                         javax.swing.DefaultListModel listModel)

      Description copied from interface: `ProgramSearcher`
      Searches the TV data base for programs that match the criteria of this searcher.
      Specified by:
        `search` in interface `ProgramSearcher`
      Parameters:
        `fieldArr` - The fields to search in
        `startDate` - The date to start the search.
        `nrDays` - The number of days to include after the start date. If this value is negative, then all days are searched (beginning with yesterday) and the startDate parameter is ignored.
        `channels` - The channels to search in. If this is `null`, then all subscribed channels are searched.
        `sortByStartTime` - Should the results be sorted by the start time? If not, the results will be grouped by date and channel and the search will be faster.
        `progress` - progressMonitor for showing the search progress
        `listModel` - The list model the found programs should be stored in.
      Returns:
        The matching programs.

    - #### search

          public Program[] search(ProgramFieldType[] fieldArr,
                         Date startDate,
                         int nrDays,
                         Channel[] channels,
                         boolean sortByStartTime)

      Description copied from interface: `ProgramSearcher`
      Searches the TV data base for programs that match the criteria of this searcher.
      Specified by:
        `search` in interface `ProgramSearcher`
      Parameters:
        `fieldArr` - The fields to search in
        `startDate` - The date to start the search.
        `nrDays` - The number of days to include after the start date. If this value is negative, then all days are searched (beginning with yesterday) and the startDate parameter is ignored.
        `channels` - The channels to search in. If this is `null`, then all subscribed channels are searched.
        `sortByStartTime` - Should the results be sorted by the start time? If not, the results will be grouped by date and channel and the search will be faster.
      Returns:
        The matching programs.

    - #### matches

          protected abstract boolean matches(java.lang.String value)

      Checks whether a value matches to the criteria of this searcher.
      Parameters:
        `value` - The value to check
      Returns:
        Whether the value matches.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)